XML Generation Constants

## Variables

const | Qore::Xml::XGF_ADD_FORMATTING = XGF_ADD_FORMATTING
| use whitespace formatting including line breaks to make generated XML more readable
const | Qore::Xml::XGF_NONE = XGF_NONE
| no flags; standard XML generation without whitespace formatting and characters without unicode character references
const | Qore::Xml::XGF_USE_NUMERIC_REFS = XGF_USE_NUMERIC_REFS
| use numeric character references instead of native characters for non-ascii character when generating XML More...

## Detailed Description

The constants in this group can be combined with binary or to affect the output of generated XML

## Variable Documentation

const Qore::Xml::XGF_USE_NUMERIC_REFS = XGF_USE_NUMERIC_REFS

use numeric character references instead of native characters for non-ascii character when generating XML

note that character references are not applied to CDATA when serializing XML (keys that begin with `"^cdata"` are serialized as cdata.